Package org.fife.ui.rtextarea

## Class RTextArea.RTextAreaMutableCaretEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.CaretEvent
    - - org.fife.ui.rtextarea.RTextAreaBase.RTAMouseListener
      - - org.fife.ui.rtextarea.RTextArea.RTextAreaMutableCaretEvent

- All Implemented Interfaces:
    `FocusListener`, `MouseListener`, `MouseMotionListener`, `Serializable`, `EventListener`
  Enclosing class:
    RTextArea

      protected class RTextArea.RTextAreaMutableCaretEvent
      extends RTextAreaBase.RTAMouseListener

  Modified from `MutableCaretEvent` in `JTextComponent` so that mouse events get fired when the user is selecting text with the mouse as well. This class also displays the popup menu when the user right-clicks in the text area.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.fife.ui.rtextarea.RTextAreaBase.RTAMouseListener

      `dot, mark`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RTextAreaMutableCaretEvent​(RTextArea textArea)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `focusGained​(FocusEvent e)` |
    `void` | `focusLost​(FocusEvent e)` |
    `void` | `mouseDragged​(MouseEvent e)` |
    `void` | `mousePressed​(MouseEvent e)` |
    `void` | `mouseReleased​(MouseEvent e)` |

    - ### Methods inherited from class org.fife.ui.rtextarea.RTextAreaBase.RTAMouseListener

      `getDot, getMark, mouseClicked, mouseEntered, mouseExited, mouseMoved`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RTextAreaMutableCaretEvent

          protected RTextAreaMutableCaretEvent​(RTextArea textArea)

  - ### Method Detail

    - #### focusGained

          public void focusGained​(FocusEvent e)

      Specified by:
        `focusGained` in interface `FocusListener`
      Overrides:
        `focusGained` in class `RTextAreaBase.RTAMouseListener`

    - #### focusLost

          public void focusLost​(FocusEvent e)

      Specified by:
        `focusLost` in interface `FocusListener`
      Overrides:
        `focusLost` in class `RTextAreaBase.RTAMouseListener`

    - #### mouseDragged

          public void mouseDragged​(MouseEvent e)

      Specified by:
        `mouseDragged` in interface `MouseMotionListener`
      Overrides:
        `mouseDragged` in class `RTextAreaBase.RTAMouseListener`

    - #### mousePressed

          public void mousePressed​(MouseEvent e)

      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `RTextAreaBase.RTAMouseListener`

    - #### mouseReleased

          public void mouseReleased​(MouseEvent e)

      Specified by:
        `mouseReleased` in interface `MouseListener`
      Overrides:
        `mouseReleased` in class `RTextAreaBase.RTAMouseListener`